
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/pcmcia/synclink_cs.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/char/pcmcia/synclink_cs.c~pcmcia-id_table-for-synclink_csc drivers/char/pcmcia/synclink_cs.c
--- 25/drivers/char/pcmcia/synclink_cs.c~pcmcia-id_table-for-synclink_csc	2005-03-02 18:07:53.000000000 -0800
+++ 25-akpm/drivers/char/pcmcia/synclink_cs.c	2005-03-02 18:07:53.000000000 -0800
@@ -3081,6 +3081,12 @@ void mgslpc_remove_device(MGSLPC_INFO *r
 	}
 }
 
+static struct pcmcia_device_id mgslpc_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x02c5, 0x0050),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, mgslpc_ids);
+
 static struct pcmcia_driver mgslpc_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -3088,6 +3094,7 @@ static struct pcmcia_driver mgslpc_drive
 	},
 	.attach		= mgslpc_attach,
 	.detach		= mgslpc_detach,
+	.id_table	= mgslpc_ids,
 };
 
 static struct tty_operations mgslpc_ops = {
_
